summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-07-14 16:14:56 +0200
committerRemi Collet <remi@remirepo.net>2021-07-14 16:14:56 +0200
commit648cbc8502a12a970cbc833ab58b9ba038e9934f (patch)
tree570cbdbf3c99f2e180d767fa779bcc32bca31cb2
parentaecac9a1764a113334be2dd1a91b41a0056ba3a3 (diff)
update to 1.9.0HEADmaster
raise dependency on PHP 7.1
-rw-r--r--composer.json5
-rw-r--r--php-mongodb-rpm.patch8
-rw-r--r--php-mongodb.spec14
3 files changed, 16 insertions, 11 deletions
diff --git a/composer.json b/composer.json
index 2953ebb..e5b5201 100644
--- a/composer.json
+++ b/composer.json
@@ -9,7 +9,7 @@
{ "name": "Jeremy Mikola", "email": "jmikola@gmail.com" }
],
"require": {
- "php": "^7.0 || ^8.0",
+ "php": "^7.1 || ^8.0",
"ext-hash": "*",
"ext-json": "*",
"ext-mongodb": "^1.10.0",
@@ -17,7 +17,8 @@
"symfony/polyfill-php80": "^1.19"
},
"require-dev": {
- "squizlabs/php_codesniffer": "^3.5, <3.5.5",
+ "squizlabs/php_codesniffer": "^3.6",
+ "doctrine/coding-standard": "^9.0",
"symfony/phpunit-bridge": "^5.2"
},
"autoload": {
diff --git a/php-mongodb-rpm.patch b/php-mongodb-rpm.patch
index 93c861f..ad9d349 100644
--- a/php-mongodb-rpm.patch
+++ b/php-mongodb-rpm.patch
@@ -1,6 +1,6 @@
diff -up ./src/Client.php.rpm ./src/Client.php
---- ./src/Client.php.rpm 2020-08-10 14:57:12.478570154 +0200
-+++ ./src/Client.php 2020-08-10 14:58:11.161534530 +0200
+--- ./src/Client.php.rpm 2021-07-13 22:03:24.000000000 +0200
++++ ./src/Client.php 2021-07-14 16:11:34.362284353 +0200
@@ -18,7 +18,6 @@
namespace MongoDB;
@@ -9,8 +9,8 @@ diff -up ./src/Client.php.rpm ./src/Client.php
use MongoDB\Driver\ClientEncryption;
use MongoDB\Driver\Exception\InvalidArgumentException as DriverInvalidArgumentException;
use MongoDB\Driver\Exception\RuntimeException as DriverRuntimeException;
-@@ -387,11 +386,7 @@ class Client
- private static function getVersion() : string
+@@ -388,11 +387,7 @@ class Client
+ private static function getVersion(): string
{
if (self::$version === null) {
- try {
diff --git a/php-mongodb.spec b/php-mongodb.spec
index 261a054..e961f7a 100644
--- a/php-mongodb.spec
+++ b/php-mongodb.spec
@@ -9,7 +9,7 @@
# disabled for https://fedoraproject.org/wiki/Changes/MongoDB_Removal
%bcond_with tests
-%global gh_commit 8123216f21d31a2a5b845aa91fba7a182d060509
+%global gh_commit 4afe9254e87252879bfbb625858e78fbe072daa0
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner mongodb
#global gh_date 20151102
@@ -17,8 +17,8 @@
%global psr0 MongoDB
%global upstream_version 1.9.0
-%global upstream_prever alpha1
-%global upstream_lower alpha1
+#global upstream_prever alpha1
+#global upstream_lower alpha1
%global ext_version 1.10
@@ -39,7 +39,7 @@ Source0: https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit
Patch0: %{name}-rpm.patch
BuildArch: noarch
-BuildRequires: php(language) >= 7.0
+BuildRequires: php(language) >= 7.1
BuildRequires: php-cli
BuildRequires: php-reflection
BuildRequires: php-date
@@ -80,7 +80,7 @@ BuildRequires: php-composer(fedora/autoloader)
# "ext-mongodb": "^1.8.1"
# "jean85/pretty-package-versions": "^1.2 || ^2.0.1"
# "symfony/polyfill-php80": "^1.19"
-Requires: php(language) >= 7.0
+Requires: php(language) >= 7.1
Requires: php-hash
Requires: php-json
Requires: php-pecl(mongodb) >= %{ext_version}
@@ -208,6 +208,10 @@ exit $ret
%changelog
+* Wed Jul 14 2021 Remi Collet <remi@remirepo.net> - 1.9.0-1
+- update to 1.9.0
+- raise dependency on PHP 7.1
+
* Fri Apr 9 2021 Remi Collet <remi@remirepo.net> - 1.9.0~alpha1-1
- update to 1.9.0
- raise dependency on mongodb extension version 1.10